package com.dcs.dcs.mapper;

import com.dcs.dcs.domain.DcsFlow;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 流程Mapper接口
 * 
 * @author hmy
 * @date 2025-03-08
 */
@Repository
public interface DcsFlowMapper 
{
    /**
     * 查询流程
     * 
     * @param flowId 流程主键
     * @return 流程
     */
    public DcsFlow selectDcsFlowByFlowId(Long flowId);

    /**
     * 查询流程列表
     * 
     * @param dcsFlow 流程
     * @return 流程集合
     */
    public List<DcsFlow> selectDcsFlowList(DcsFlow dcsFlow);

    /**
     * 新增流程
     * 
     * @param dcsFlow 流程
     * @return 结果
     */
    public int insertDcsFlow(DcsFlow dcsFlow);

    /**
     * 修改流程
     * 
     * @param dcsFlow 流程
     * @return 结果
     */
    public int updateDcsFlow(DcsFlow dcsFlow);

    /**
     * 删除流程
     * 
     * @param flowId 流程主键
     * @return 结果
     */
    public int deleteDcsFlowByFlowId(Long flowId);

    /**
     * 批量删除流程
     * 
     * @param flowIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDcsFlowByFlowIds(Long[] flowIds);

    String selectFlowNameByFlowId(Long valueOf);
}
